using Microsoft.Extensions.Hosting;
using Orleans.Hosting;
using System.Threading;
using System.Threading.Tasks;

namespace OrleansDockerTest.Silo
{
    public class OrleansHostedService : IHostedService
    {
        private readonly ISiloHost siloHost;

        public OrleansHostedService(ISiloHost siloHost)
        {
            this.siloHost = siloHost;
        }

        public Task StartAsync(CancellationToken cancellationToken)
        {
            return siloHost.StartAsync(cancellationToken);
        }

        public Task StopAsync(CancellationToken cancellationToken)
        {
            return siloHost.StopAsync(cancellationToken);
        }
    }
}
