using Microsoft.AspNetCore.Mvc;
using Orleans;
using OrleansDockerTest.GrainTypes;
using System;
using System.Threading.Tasks;

namespace OrleansDockerTest.Web.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class ValuesController : ControllerBase
    {
        private readonly IClusterClient orleansClient;

        public ValuesController(IClusterClient orleansClient)
        {
            this.orleansClient = orleansClient ?? throw new ArgumentNullException(nameof(orleansClient));
        }

        // GET api/values/
        [HttpGet]
        public async Task<ActionResult<string>> Get()
        {
            ITestGrain grain = orleansClient.GetGrain<ITestGrain>(0);
            return (await grain.GetRandomNumber()).ToString();
        }
    }
}
